Get asset
curl --request POST \
--url https://gengen.farm/api/gengen/v1/assets/get \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"Id": "asset-20260427-abc"
}'import requests
url = "https://gengen.farm/api/gengen/v1/assets/get"
payload = { "Id": "asset-20260427-abc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Id: 'asset-20260427-abc'})
};
fetch('https://gengen.farm/api/gengen/v1/assets/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ResponseMetadata": {
"RequestId": "20260328000000000000000000000000",
"Action": "GetAsset",
"Version": "2024-01-01",
"Service": "ark",
"Region": "ap-southeast-1"
},
"Result": {
"Id": "asset-20260427-abc",
"Name": "portrait-front",
"URL": "https://example.com/temporary-asset-url",
"AssetType": "Image",
"GroupId": "group-20260424-abc",
"Status": "Active",
"CreateTime": "2026-03-28T00:00:00Z",
"UpdateTime": "2026-03-28T00:00:00Z",
"ProjectName": "default"
}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Assets API
Get an asset
Retrieve an asset and its preprocessing status; signed asset URLs expire after 12 hours.
POST
/
assets
/
get
Get asset
curl --request POST \
--url https://gengen.farm/api/gengen/v1/assets/get \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"Id": "asset-20260427-abc"
}'import requests
url = "https://gengen.farm/api/gengen/v1/assets/get"
payload = { "Id": "asset-20260427-abc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Id: 'asset-20260427-abc'})
};
fetch('https://gengen.farm/api/gengen/v1/assets/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ResponseMetadata": {
"RequestId": "20260328000000000000000000000000",
"Action": "GetAsset",
"Version": "2024-01-01",
"Service": "ark",
"Region": "ap-southeast-1"
},
"Result": {
"Id": "asset-20260427-abc",
"Name": "portrait-front",
"URL": "https://example.com/temporary-asset-url",
"AssetType": "Image",
"GroupId": "group-20260424-abc",
"Status": "Active",
"CreateTime": "2026-03-28T00:00:00Z",
"UpdateTime": "2026-03-28T00:00:00Z",
"ProjectName": "default"
}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Authorizations
A workspace API key beginning with gengen_live_.
Body
application/json
Provider resource ID or supported GENGEN workspace-local ID.
Minimum string length:
1⌘I